<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('Nový zákazník', ${rUrl}, ${isNew == null || isNew ? 'icoSearch' : ''})"></div>

    <main id="main" class="container mt-2">

        <form id="userEditForm" class="needs-validation" method="post" th:action="@{/user/add}" th:object="${user}"
              th:fragment="userEdit(user, isNew)" novalidate>

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <!--HIDDEN-->
            <input type="hidden" th:field="*{id}">
            <input type="hidden" name="rUrl" th:if="${rUrl != null}" th:value="${rUrl}">
            <input type="hidden" th:if="${address != null}" th:field="*{address.id}">
            <input type="hidden" th:if="${productId != null && productId > 0}" th:value="${productId}" name="pid">
            <input type="hidden" id="rUrlInput" th:if="${rUrl != null}" th:value="${rUrl}">

            <div class="row no-gutters">
                <div class="col-md-6 px-md-1">
                    <!--GENERAL INFO-->
                    <div class="card mb-2">
                        <div class="card-header py-2">
                            Základní údaje
                        </div>
                        <div class="card-body py-3">
                            <div class="form-group row">
                                <!--NAME-->
                                <label for="name"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Jméno:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="name" th:field="*{name}"
                                           th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'"
                                           required>
                                    <span class="text-danger invalid-feedback">jméno je povinné</span>
                                </div>
                            </div>

                            <!--SURNAME-->
                            <div class="form-group row">
                                <label for="surname"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Příjmení:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="surname" th:field="*{surname}"
                                           th:classappend="${#fields.hasErrors('surname')} ? 'is-invalid'"
                                           required>
                                    <span class="text-danger invalid-feedback">příjmení je povinné</span>
                                </div>
                            </div>

                            <!--COMPANY-->
                            <div class="form-group row">
                                <label for="company"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Firma:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="company" th:field="*{company}">
                                </div>
                            </div>

                            <!--EMAIL-->
                            <div class="form-group row">
                                <label for="email"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Email:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="email" th:field="*{email}"
                                           th:classappend="${#fields.hasErrors('email')} ? 'is-invalid'">
                                </div>
                            </div>

                            <!--PHONE-->
                            <div class="form-group row mb-0">
                                <label for="phoneNumber"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Telefon:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="tel" class="form-control" id="phoneNumber"
                                           th:field="*{phoneNumber}"
                                           th:classappend="${#fields.hasErrors('phoneNumber')} ? 'is-invalid'">
                                    <span class="text-danger invalid-feedback">telefonní číslo je povinné</span>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-md-6 px-md-1">
                    <!--IDs-->
                    <div class="card mb-2">
                        <div class="card-header py-2">
                            Identifikační čísla
                        </div>
                        <div class="card-body py-3">

                            <!--Č.OP/RČ-->
                            <div class="form-group row">
                                <label for="idNumber" class="col-4 col-sm-3 col-md-4 col-form-label">Číslo
                                    OP/RČ:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="idNumber" th:field="*{idNumber}"
                                           th:classappend="${#fields.hasErrors('idNumber')} ? 'is-invalid'">
                                </div>
                            </div>
                            <!--IČO-->
                            <div class="form-group row">
                                <label for="ico" class="col-4 col-sm-3 col-md-4 col-form-label">
                                    IČO:
                                </label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input id="ico" type="text" class="form-control" th:field="*{ico}">
                                </div>
                            </div>
                            <!--DIČ-->
                            <div class="form-group row mb-0">
                                <label for="dic" class="col-4 col-sm-3 col-md-4 col-form-label">
                                    DIČ:
                                </label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="dic" th:field="*{dic}">
                                </div>
                            </div>

                        </div>
                    </div>

                    <!--ADDRESS-->
                    <div class="card mb-2">
                        <div class="card-header py-2">
                            Adresa
                        </div>
                        <div class="card-body py-3">

                            <!--CITY-->
                            <div class="form-group row">
                                <label for="city"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Město:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="city" th:field="*{address.city}"
                                           th:classappend="${#fields.hasErrors('address.city')} ? 'is-invalid'">
                                    <span class="text-danger invalid-feedback">město je povinné</span>
                                </div>
                            </div>

                            <!--STREET-->
                            <div class="form-group row">
                                <label for="street" class="col-4 col-sm-3 col-md-4 col-form-label">Ulice
                                    a
                                    ČP:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="text" class="form-control" id="street"
                                           th:field="*{address.street}"
                                           th:classappend="${#fields.hasErrors('address.street')} ? 'is-invalid'">
                                    <span class="text-danger invalid-feedback">ulice je povinná</span>
                                </div>
                            </div>

                            <div class="form-group row">
                                <!--ZIP-->
                                <label for="zip"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Zip:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <input type="number" class="form-control" id="zip" th:field="*{address.zip}"
                                           th:classappend="${#fields.hasErrors('address.zip')} ? 'is-invalid'">
                                    <span class="text-danger invalid-feedback">zip je povinný</span>
                                </div>

                            </div>

                            <!--STATE-->
                            <div class="form-group row mb-0">
                                <label for="state"
                                       class="col-4 col-sm-3 col-md-4 col-form-label">Stát:</label>
                                <div class="col-8 col-sm-9 col-md-8">
                                    <select class="form-control" id="state" th:field="*{address.state.id}"
                                            th:classappend="${#fields.hasErrors('address.state.id')} ? 'is-invalid'">
                                        <option th:each="state : ${states}" th:text="${state.name}"
                                                th:value="${state.id}"
                                                th:selected="${user.address.state.id == state.id}"></option>
                                    </select>
                                    <span class="text-danger invalid-feedback">stát je povinný</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="d-flex flex-wrap">
                <button type="submit" id="submitBtnSave"
                        class="w-100 w-sm-auto btn btn-orange ml-auto px-5"
                        th:text="${isNew != null && !isNew ? 'Uložit' : 'Vytvořit'}">
                </button>
            </div>

            <script>formValidation();</script>
        </form>


        <!-- Modal -->
        <div id="icoSearchModal" class="modal fade" tabindex="-1" role="dialog"
             aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header py-2 px-3">
                        <h5 class="modal-title" id="exampleModalCenterTitle">Vyhledání podle IČO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body d-flex flex-nowrap">
                        <label for="icoSearchInput" class="col-form-label mr-3">IČO:</label>
                        <div class="w-100">
                            <input id="icoSearchInput" class="form-control" type="text">
                            <span id="icoSearchInputError" class="invalid-feedback">
                                    IČO má nesprávný formát
                            </span>
                        </div>
                    </div>
                    <div class="modal-footer py-2 px-3 flex-wrap">
                        <button type="button" class="btn btn-sm btn-secondary" data-dismiss="modal">Storno</button>
                        <button type="button" class="btn btn-sm btn-primary" onclick="icoSearch()">Vyhledat</button>
                    </div>
                </div>
            </div>
        </div>

        <div th:replace="fragments/layout :: spinner"></div>
    </main>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

<script>
    jQuery(document).ready(function () {

        /**REGISTRATION VALIDATION*/
        $('#signupButton').on('click', function () {
            validateEmail($('#email'), false);
        });
        $('#email').on('input', function () {
            validateEmail($('#email'), false);
        });

        $('#icoSearchBtn').on('click', function () {
            //show modal
            $('#icoSearchModal').modal('show');
        });

    });

    function icoSearch() {
        var icoInput = $('#icoSearchInput');
        var icoError = $('#icoSearchInputError');
        var ico = icoInput.val();

        var rUrl = '';
        var rUrlInput = $('#rUrlInput');

        if(rUrlInput){
            rUrl = rUrlInput[0].value;
        }

        if (ico && !isNaN(ico)) {
            icoError.css('display', 'none');
            icoInput.addClass('is-valid');
            icoInput.removeClass('is-invalid');

            $('#icoSearchModal').modal('hide');
            showSpinner('Vyhledávání zákazníka', 'Prosím čekejte, prohledává se ARES databáze...');

            $.ajax({
                url: '/ajax/user/find',
                type: 'POST',
                data: {ico: ico, rUrl: rUrl}, //JSON.stringify(orderId)
                success: function (data) {
                    $('#userEditForm').replaceWith(data);
                    hideSpinner();
                },
                error: function (a, b, c) {
                    console.log(a, b, c);
                    hideSpinner();
                }
            });
        } else {
            icoError.css('display', 'block');
            icoInput.addClass('is-invalid');
            icoInput.removeClass('is-valid');
        }
    }
</script>

</body>
</html>